import { Provider as ProviderType } from "@ethersproject/providers";
import { NetworkType } from "..";
export declare const getSourceTokenApproval: ({ tokenAddress, sourceNetworkId, destinationNetworkId, userAddress, provider, network_config }: {
    tokenAddress: string;
    sourceNetworkId: string;
    destinationNetworkId: string;
    userAddress: string;
    provider: ProviderType;
    network_config: {
        [chainId: string]: NetworkType;
    };
}) => Promise<any>;
export declare const getFeeTokenApproval: ({ tokenAddress, networkId, userAddress, provider, network_config }: {
    tokenAddress: string;
    networkId: string;
    userAddress: string;
    provider: ProviderType;
    network_config: {
        [chainId: string]: NetworkType;
    };
}) => Promise<any>;
export declare const setSourceTokenApproval: ({ tokenAddress, userAddress, amount, sourceNetworkId, destinationNetworkId, network_config }: {
    tokenAddress: string;
    userAddress: string;
    amount: string;
    sourceNetworkId: string;
    destinationNetworkId: string;
    network_config: {
        [chainId: string]: NetworkType;
    };
}) => Promise<{
    to: string;
    from: string;
    data: string;
} | undefined>;
export declare const setFeeTokenApproval: ({ amount, tokenAddress, userAddress, sourceNetworkId, network_config }: {
    amount: string;
    tokenAddress: string;
    userAddress: string;
    sourceNetworkId: string;
    network_config: {
        [chainId: string]: NetworkType;
    };
}) => Promise<{
    to: string;
    from: string;
    data: string;
} | undefined>;
